// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/cmr.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Cmr struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Number            string   `protobuf:"bytes,1,opt,name=number,proto3" json:"number,omitempty"`
	Date              int64    `protobuf:"varint,2,opt,name=date,proto3" json:"date,omitempty"`
	ClosedDate        int64    `protobuf:"varint,3,opt,name=closedDate,proto3" json:"closedDate,omitempty"`
	Description       string   `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	TransportOrderIds []int64  `protobuf:"varint,5,rep,packed,name=transportOrderIds,proto3" json:"transportOrderIds,omitempty"`
	FileIds           []string `protobuf:"bytes,6,rep,name=fileIds,proto3" json:"fileIds,omitempty"` // Only for CreateFromExtFile
}

func (x *Cmr) Reset() {
	*x = Cmr{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_cmr_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Cmr) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Cmr) ProtoMessage() {}

func (x *Cmr) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_cmr_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Cmr.ProtoReflect.Descriptor instead.
func (*Cmr) Descriptor() ([]byte, []int) {
	return file_transport_order_model_cmr_proto_rawDescGZIP(), []int{0}
}

func (x *Cmr) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *Cmr) GetDate() int64 {
	if x != nil {
		return x.Date
	}
	return 0
}

func (x *Cmr) GetClosedDate() int64 {
	if x != nil {
		return x.ClosedDate
	}
	return 0
}

func (x *Cmr) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *Cmr) GetTransportOrderIds() []int64 {
	if x != nil {
		return x.TransportOrderIds
	}
	return nil
}

func (x *Cmr) GetFileIds() []string {
	if x != nil {
		return x.FileIds
	}
	return nil
}

var File_transport_order_model_cmr_proto protoreflect.FileDescriptor

var file_transport_order_model_cmr_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x63, 0x6d, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x22, 0xbb, 0x01, 0x0a, 0x03, 0x43, 0x6d, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x6e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x04, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x64, 0x44,
	0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x63, 0x6c, 0x6f, 0x73, 0x65,
	0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2c, 0x0a, 0x11, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x49, 0x64, 0x73, 0x18, 0x05, 0x20, 0x03,
	0x28, 0x03, 0x52, 0x11, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x49, 0x64, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x73,
	0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x73, 0x42,
	0xa9, 0x01, 0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e,
	0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x03, 0x43, 0x6d, 0x72, 0x50, 0x01,
	0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67,
	0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d,
	0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x6f,
	0x64, 0x65, 0x6c, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_cmr_proto_rawDescOnce sync.Once
	file_transport_order_model_cmr_proto_rawDescData = file_transport_order_model_cmr_proto_rawDesc
)

func file_transport_order_model_cmr_proto_rawDescGZIP() []byte {
	file_transport_order_model_cmr_proto_rawDescOnce.Do(func() {
		file_transport_order_model_cmr_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_cmr_proto_rawDescData)
	})
	return file_transport_order_model_cmr_proto_rawDescData
}

var file_transport_order_model_cmr_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transport_order_model_cmr_proto_goTypes = []interface{}{
	(*Cmr)(nil), // 0: transportOrder.Cmr
}
var file_transport_order_model_cmr_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_transport_order_model_cmr_proto_init() }
func file_transport_order_model_cmr_proto_init() {
	if File_transport_order_model_cmr_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_cmr_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Cmr); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_cmr_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_cmr_proto_goTypes,
		DependencyIndexes: file_transport_order_model_cmr_proto_depIdxs,
		MessageInfos:      file_transport_order_model_cmr_proto_msgTypes,
	}.Build()
	File_transport_order_model_cmr_proto = out.File
	file_transport_order_model_cmr_proto_rawDesc = nil
	file_transport_order_model_cmr_proto_goTypes = nil
	file_transport_order_model_cmr_proto_depIdxs = nil
}
